=== .old.pygtk2/debian/changelog ===
cherrytree (0.39.4-0) bionic; urgency=low

  * Added powershell code execution support (Paul Sweeney, #785)
  * Fix apostrophe spell check (AyubM, #879)
  * Fix zoom with Ctrl held down and mouse wheel, missing Ctrl release (#940)
  * (Windows OS) Updated all spell check dictionaries and added missing dictionaries for supported languages
  * The Gtkmm3 version is getting more and more stable, currently packaged with version 0.99.2 below this stable release


 -- Giuseppe Penone <giuspen@gmail.com>  Sun, 21 Jun 2020 13:36:06 +0100
