=== .old.pygtk2/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf build/
	dh_clean
