## cherrytree 1.5.0%2Bdfsg

=== debian/changelog ===
cherrytree (1.5.0+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.5.0+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Jul 2025 14:35:07 -0700
