=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Giuseppe Penone <giuspen@gmail.com>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gettext,
 cmake,
 ninja-build,
 libgtkmm-3.0-dev,
 libgtksourceview-4-dev,
 libxml++2.6-dev,
 libsqlite3-dev,
 libgspell-1-dev,
 libcurl4-openssl-dev,
 libuchardet-dev,
 libfribidi-dev,
 libvte-2.91-dev,
 libfmt-dev,
 libspdlog-dev,
 file,
 libxml2-utils
Standards-Version: 3.9.5
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://github.com/giuspen/cherrytree.git
Vcs-Browser: https://github.com/giuspen/cherrytree

Package: cherrytree
Architecture: any
Depends:
 libgtkmm-3.0-1v5,
 libgtksourceview-4-0,
 libxml++2.6-2v5,
 libsqlite3-0,
 libgspell-1-2,
 libcurl4,
 libuchardet0,
 libfribidi0,
 libvte-2.91-0,
 libspdlog1.10,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-latex-base,
 dvipng
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.
