## cherrytree 1.5.0-6.0antix1

=== CMakeLists.txt ===
--- 
+++ 
@@ -101,15 +101,6 @@
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   add_compile_options("-Wno-#warnings")
   add_compile_options(-Wthread-safety)
-  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
-endif()
-
-if(APPLE)
-  link_directories(/usr/local/lib /usr/local/opt/gettext/lib)
-  include_directories(/usr/local/opt/gettext/include)
-  set(CMAKE_MACOSX_RPATH 1)
-  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/libxml++/lib/pkgconfig")
-  # to fix libxml++2.6 compilation
   add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
 endif()
