=== .old.pygtk2/debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Giuseppe Penone <giuspen@gmail.com>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 dh-python,
 gettext,
 python (>= 2.6.6-3~)
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://github.com/giuspen/cherrytree.git
Vcs-Browser: https://github.com/giuspen/cherrytree

Package: cherrytree
Architecture: all
Depends:
 p7zip-full,
 python-dbus,
 python-enchant,
 python-chardet,
 python-gtk2 (>= 2.16),
 python-gtksourceview2,
 ${misc:Depends}
Recommends:
 python-appindicator
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.
