=== debian/control ===
--- 
+++ 
@@ -29,16 +29,16 @@
 Package: cherrytree
 Architecture: any
 Depends:
- libgtkmm-3.0-1v5,
+ libgtkmm-3.0-1t64,
  libgtksourceview-4-0,
  libxml++2.6-2v5,
  libsqlite3-0,
- libgspell-1-2,
- libcurl4,
+ libgspell-1-3,
+ libcurl4t64,
  libuchardet0,
  libfribidi0,
  libvte-2.91-0,
- libspdlog1.10,
+ libspdlog1.15,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
