=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
	echo "no tests"

%:
	dh $@ --buildsystem=cmake+ninja --parallel
