## cherrytree 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,8 @@
   add_compile_options(-D_SNAP_BUILD)
 endif()
 
+option(WITH_GTK4 "Build with GTK4 (Work in progress...)" OFF)
+option(NO_DEPRECATED "Build with deprecated API disabled" OFF)
 option(USE_NLS "Add locales support" ON)
 option(USE_SHARED_FMT_SPDLOG "Use shared fmt and spdlog (not those bundled)" ON)
 option(USE_SHARED_GTEST_GMOCK "Use shared gtest and gmock (not those bundled)" OFF)
@@ -81,7 +83,18 @@
 
 include(CPack)
 
-set(CMAKE_CXX_STANDARD 17)
+if(WITH_GTK4)
+  set(CMAKE_CXX_STANDARD 23)
+else()
+  set(CMAKE_CXX_STANDARD 17)
+endif()
+
+if(NO_DEPRECATED)
+  add_definitions(-DGTKMM_DISABLE_DEPRECATED)
+  add_definitions(-DGDKMM_DISABLE_DEPRECATED)
+  add_definitions(-DGLIBMM_DISABLE_DEPRECATED)
+  add_definitions(-DGIOMM_DISABLE_DEPRECATED)
+endif()
 
 if(USE_SHARED_FMT_SPDLOG)
   add_definitions(-DSHARED_FMT_SPDLOG)
@@ -129,10 +142,17 @@
 endif()
 
 include(FindPkgConfig)
-pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
-pkg_check_modules(GTKSV gtksourceview-4 REQUIRED)
-pkg_check_modules(GLIBMM glibmm-2.4 REQUIRED)
-pkg_check_modules(PANGOMM pangomm-1.4 REQUIRED)
+if(WITH_GTK4)
+  pkg_check_modules(GTKMM gtkmm-4.0 REQUIRED)
+  pkg_check_modules(GTKSV gtksourceview-5 REQUIRED)
+  pkg_check_modules(GLIBMM glibmm-2.68 REQUIRED)
+  pkg_check_modules(PANGOMM pangomm-2.48 REQUIRED)
+else()
+  pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
+  pkg_check_modules(GTKSV gtksourceview-4 REQUIRED)
+  pkg_check_modules(GLIBMM glibmm-2.4 REQUIRED)
+  pkg_check_modules(PANGOMM pangomm-1.4 REQUIRED)
+endif()
 pkg_check_modules(GSPELL gspell-1 REQUIRED)
 pkg_check_modules(LIBXML libxml++-2.6 REQUIRED)
 pkg_check_modules(SQLITE sqlite3 REQUIRED)
@@ -148,7 +168,11 @@
   add_subdirectory(src/spdlog)
 endif()
 if(USE_VTE)
-  pkg_check_modules(VTE vte-2.91 REQUIRED)
+  if(WITH_GTK4)
+    pkg_check_modules(VTE vte-2.91-gtk4 REQUIRED)
+  else()
+    pkg_check_modules(VTE vte-2.91 REQUIRED)
+  endif()
 endif()
 
 add_subdirectory(src/7za)
