## cherrytree 1.6.2%2Bdfsg

=== debian/watch ===
version=4
opts=repack,repacksuffix=+dfsg,dversionmangle=auto,pgpmode=auto \
 https://www.giuspen.net/cherrytree/ https://www.giuspen.net/software/cherrytree_(.*)\.tar\.(?:gz|bz2|xz)
